LiteralPatternConverter (Apache Log4j 1.2.17 API)
Date: 2012-05-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.pattern
Class LiteralPatternConverter

    java.lang.Object
      org.apache.log4j.pattern.PatternConverter
          org.apache.log4j.pattern.LoggingEventPatternConverter
              org.apache.log4j.pattern.LiteralPatternConverter

    public final class LiteralPatternConverter

extends LoggingEventPatternConverter

Formats a string literal.

Author:
  Curt Arnold

Constructor Summary
`LiteralPatternConverter(String literal)` Create a new instance.

Method Summary
`void` | `format(LoggingEvent event, StringBuffer toAppendTo)` Formats an event into a string buffer.
`void` | `format(Object obj, StringBuffer toAppendTo)` Formats an object into a string buffer.

Methods inherited from class org.apache.log4j.pattern.LoggingEventPatternConverter
`handlesThrowable`

Methods inherited from class org.apache.log4j.pattern.PatternConverter
`getName, getStyleClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LiteralPatternConverter

    public LiteralPatternConverter(String literal)

  Create a new instance.

  Parameters:
    `literal` - string literal.

Method Detail

### format

    public void format(LoggingEvent event,
                       StringBuffer toAppendTo)

  Formats an event into a string buffer.

  Specified by:
    `format` in class `LoggingEventPatternConverter`
  Parameters:
    `event` - event to format, may not be null.
    `toAppendTo` - string buffer to which the formatted event will be appended. May not be null.

### format

    public void format(Object obj,
                       StringBuffer toAppendTo)

  Formats an object into a string buffer.

  Overrides:
    `format` in class `LoggingEventPatternConverter`
  Parameters:
    `obj` - event to format, may not be null.
    `toAppendTo` - string buffer to which the formatted event will be appended. May not be null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.